import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/sign_up/domain/verify_two_fa_code_sign_up_use_case.dart';

class VerifyTwoFaCodeSignUpUseCaseImpl implements VerifyTwoFACodeSignUpUseCase {
  VerifyTwoFaCodeSignUpUseCaseImpl(this._repository);

  final AuthRepository _repository;
  @override
  Future<void> verifyTwoFACodeSignUp({
    required String token,
    required String code,
  }) {
    return _repository.verifyTwoFACodeSignUp(token: token, code: code);
  }
}
